## translate-toolkit 2.3.0

=== debian/changelog ===
translate-toolkit (2.3.0-3) unstable; urgency=medium

  * Switch to Python 3 for command line tools.
    - reinstate sub2po/po2sub (Closes: #902706).
  * Fix Rules-Requires-Root spelling
  * Update Standards-Version to 4.1.5 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Jul 2018 14:22:20 +1000

translate-toolkit (2.3.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to enable ini format support with Python 3.

 -- Stuart Prescott <stuart@debian.org>  Tue, 27 Mar 2018 23:49:26 +1100

translate-toolkit (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches, dropping sphinx-reproducible.patch and
      test-skip-tz-windhoek.patch (applied upstream) and py3-skip-tests.patch
      (obsoleted).
    - drop dependencies on python-babel (no longer needed)
    - add new dependencies on python-phply

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Mar 2018 12:58:59 +1100

translate-toolkit (2.2.5-3) unstable; urgency=medium

  * Add patch to make sphinx output reproducible.
  * Update Vcs-* fields to point to salsa.debian.org.
  * Add Rules-Require-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Tue, 06 Mar 2018 01:06:13 +1100

=== debian/control ===
Source: translate-toolkit
Section: python
Priority: optional
Uploaders:
 Christian Perrier <bubulle@debian.org>,
 Stuart Prescott <stuart@debian.org>
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Build-Depends-Indep:
 libexttextcat-data,
 libgettextpo0,
 python (>= 2.6.6-3~),
 python-bs4,
 python-chardet,
 python-diff-match-patch,
 python-enchant,
 python-iniparse,
 python-levenshtein,
 python-lxml,
 python-l20n,
 python-phply (>> 1.2.4),
 python-pycountry (>> 17.5.14),
 python-pytest,
 python-setuptools,
 python-simplejson,
 python-six (>> 1.9.0),
 python-sphinx (>= 1.0.7+dfsg),
 python-subversion,
 python-vobject,
 python-xapian,
 python-yaml,
 python3-all,
 python3-aeidon,
 python3-bs4,
 python3-chardet,
 python3-diff-match-patch,
 python3-enchant,
 python3-iniparse,
 python3-levenshtein,
 python3-lxml,
 python3-l20n,
 python3-phply (>> 1.2.4),
 python3-pycountry (>> 17.5.14),
 python3-pytest,
 python3-setuptools,
 python3-simplejson,
 python3-six (>> 1.9.0),
 python3-sphinx (>= 1.0.7+dfsg),
 python3-vobject,
 python3-xapian,
 python3-yaml,
 rename,
 subversion,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
Homepage: http://toolkit.translatehouse.org/
Rules-Requires-Root: no

Package: translate-toolkit
Architecture: all
Section: devel
Depends:
 python3,
 python3-pkg-resources,
 python3-six,
 python3-translate,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 translate-toolkit-doc
Description: Toolkit assisting in the localization of software
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes documentation for the command line utilities.

Package: python-translate
Architecture: all
Depends:
 gettext,
 libexttextcat-data,
 python,
 python-six,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-bs4,
 python-chardet,
 python-diff-match-patch,
 python-enchant,
 python-iniparse,
 python-levenshtein,
 python-lxml,
 python-l20n,
 python-pycountry (>> 17.5.14),
 python-phply (>> 1.2.4),
 python-simplejson,
 python-utidylib,
 python-vobject,
 python-xapian,
 python-yaml
Suggests:
 python-subversion,
 translate-toolkit-doc
Breaks:
 translate-toolkit (<< 2.0.0~)
Replaces:
 translate-toolkit (<< 2.0.0~)
Description: Toolkit assisting in the localization of software (Python 2)
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes the Translate Toolkit modules for Python 2.

Package: python3-translate
Architecture: all
Depends:
 gettext,
 libexttextcat-data,
 python3,
 python3-six,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-aeidon,
 python3-bs4,
 python3-chardet,
 python3-diff-match-patch,
 python3-enchant,
 python3-iniparse,
 python3-levenshtein,
 python3-lxml,
 python3-l20n,
 python3-phply (>> 1.2.4),
 python3-pycountry (>> 17.5.14),
 python3-simplejson,
 python3-utidylib,
 python3-vobject,
 python3-xapian,
 python3-yaml
Suggests:
 python3-subversion,
 translate-toolkit-doc
Description: Toolkit assisting in the localization of software (Python 3)
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes the Translate Toolkit modules for Python 3.

Package: translate-toolkit-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Breaks:
 translate-toolkit (<< 2.0.0~)
Replaces:
 translate-toolkit (<< 2.0.0~)
Description: Toolkit assisting in the localization of software (documentation)
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes the Translate Toolkit API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=translate

p	= translate-toolkit
d	= $(CURDIR)/debian/$(p)
d2	= $(CURDIR)/debian/python-translate
d3	= $(CURDIR)/debian/python3-translate

export PYTHONNOUSERSITE=false

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

man:
	mkdir -p man
	for script in $(d2)/usr/bin/*; do \
	  case $$(basename $$script) in \
	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|pydiff|tmserver) \
	    ;; \
	  *) \
	    LC_ALL=C PYTHONPATH=. $$script --manpage \
	      > man/$$(basename $$script).1 \
	      || rm -f man/$(basename $$script).1; \
	    ;; \
	  esac; \
	done

docs:
	make -C docs html

override_dh_clean:
	dh_clean
	rm -rf man docs/_build run-tests .cache
	make -C docs clean

override_dh_install: man docs
	dh_install
	# delete unwanted cruft from /usr/lib
	for i in COPYING README.rst docs; do \
	  rm -rfv debian/*/usr/lib/python*/*-packages/translate/$$i \
	      debian/*/usr/lib/pyshared/translate/$$i; \
	done

	# provide a link to the langmodels shipped in libexttextcat-data
	for i in debian/*/usr/lib/python*/*-packages/translate/; do \
	  rm -rfv $$i/share/langmodels; \
	  ln -s /usr/share/libexttextcat $$i/share/langmodels; \
	done

	prename 's/\.sh$$//' debian/*/usr/bin/build_firefox.sh
	prename 's/\.py$$//' debian/*/usr/bin/*.py

	# run the test suite using py.test
	PYBUILD_SYSTEM=custom \
	  PYBUILD_TEST_ARGS='cp -a tests share {build_dir}; cd {build_dir}; PATH=$(CURDIR)/debian/{package}/usr/bin:$$PATH {interpreter} -m pytest -v -rxs' \
	  dh_auto_test --buildsystem=pybuild

	# only ship the Python 3 command line tools in the
	# translate-toolkit package.
	mkdir -p $(d)/usr/bin
	mv $(d3)/usr/bin/* $(d)/usr/bin/
	rm -rf $(d2)/usr/bin $(d3)/usr/bin

override_dh_auto_test:
	# Tests must be run after install so that the entry_points scripts
	# have been created; override this and run tests as part of the install
	# step instead.

.PHONY: man docs

## translate-toolkit 2.3.1

=== debian/changelog ===
translate-toolkit (2.3.1-3) unstable; urgency=medium

  * Fix web2py2po and po2web2py with upstream patch, with thanks to
    Petter Reinholdtsen, Vinyl Darkscratch and others.  (Closes: #916745)
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 28 Feb 2019 22:12:39 +1100

translate-toolkit (2.3.1-2) unstable; urgency=medium

  * Fix tests for pytest 3.10
  * Fix autopkgtests to test with all installed Python 3 interpreters.

 -- Stuart Prescott <stuart@debian.org>  Sun, 02 Dec 2018 16:43:35 +1100

translate-toolkit (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop patches applied upstream
    - Add new build-dependency and recommends on python-backports.csv
  * Update msghack to Python 3 version.
    - Get rid of accidental dependency on Python 2
  * Patch msghack to preserve "msgctxt" strings" (Closes: #666413).
  * Update Standards-Version to 4.2.1 (no changes required).
  * Explicitly list all autopkgtest dependencies rather than using recommends.

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Oct 2018 09:51:10 +1100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libexttextcat-data,
  libgettextpo0,
  python (>= 2.6.6-3~),
+ python-backports.csv,
  python-bs4,
  python-chardet,
  python-diff-match-patch,
@@ -53,7 +54,7 @@
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: http://toolkit.translatehouse.org/
@@ -96,6 +97,7 @@
  ${misc:Depends},
  ${python:Depends}
 Recommends:
+ python-backports.csv,
  python-bs4,
  python-chardet,
  python-diff-match-patch,
@@ -107,7 +109,6 @@
  python-pycountry (>> 17.5.14),
  python-phply (>> 1.2.4),
  python-simplejson,
- python-utidylib,
  python-vobject,
  python-xapian,
  python-yaml
@@ -155,7 +156,6 @@
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-simplejson,
- python3-utidylib,
  python3-vobject,
  python3-xapian,
  python3-yaml

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 man:
 	mkdir -p man
-	for script in $(d2)/usr/bin/*; do \
+	for script in $(d3)/usr/bin/*; do \
 	  case $$(basename $$script) in \
 	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|pydiff|tmserver) \
 	    ;; \
@@ -31,7 +31,7 @@
 	done
 
 docs:
-	make -C docs html
+	+$(MAKE) -C docs html
 
 override_dh_clean:
 	dh_clean
@@ -66,6 +66,9 @@
 	mv $(d3)/usr/bin/* $(d)/usr/bin/
 	rm -rf $(d2)/usr/bin $(d3)/usr/bin
 
+	# clean up left over pyc files
+	find debian -type f -name '*.pyc' -delete
+
 override_dh_auto_test:
 	# Tests must be run after install so that the entry_points scripts
 	# have been created; override this and run tests as part of the install

=== debian/tests/control ===
Tests: translate-toolkit
Restrictions: allow-stderr
Depends:
  translate-toolkit,
  subversion,
  python3-aeidon,
  python3-bs4,
  python3-chardet,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
  python3-l20n,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-simplejson,
  python3-vobject,
  python3-xapian,
  python3-yaml,

Tests: python-translate
Restrictions: allow-stderr
Depends:
  python-translate,
  python-pytest,
  python-all,
  subversion,
  python-backports.csv,
  python-bs4,
  python-chardet,
  python-diff-match-patch,
  python-enchant,
  python-iniparse,
  python-levenshtein,
  python-lxml,
  python-l20n,
  python-pycountry (>> 17.5.14),
  python-phply (>> 1.2.4),
  python-simplejson,
  python-vobject,
  python-xapian,
  python-yaml,

Tests: python3-translate
Restrictions: allow-stderr
Depends:
  python3-translate,
  python3-pytest,
  python3-all,
  subversion,
  python3-aeidon,
  python3-bs4,
  python3-chardet,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
  python3-l20n,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-simplejson,
  python3-vobject,
  python3-xapian,
  python3-yaml,

## translate-toolkit 2.4.0

=== debian/changelog ===
translate-toolkit (2.4.0-1) unstable; urgency=medium

  * New upstream release
    - update dependencies for cheroot, ruamel.yaml
    - add new flatxml commands
    - drop web2py.patch test-pytest310.patch applied upstream
  * Remove Christian Perrier from the Uploaders list; thank you for many years
    of service to Debian! (Closes: #927543)
  * Update Standards-Version to 4.4.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Jul 2019 10:36:18 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: python
 Priority: optional
 Uploaders:
- Christian Perrier <bubulle@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
 Build-Depends-Indep:
@@ -21,6 +20,7 @@
  python-phply (>> 1.2.4),
  python-pycountry (>> 17.5.14),
  python-pytest,
+ python-ruamel.yaml,
  python-setuptools,
  python-simplejson,
  python-six (>> 1.9.0),
@@ -28,11 +28,11 @@
  python-subversion,
  python-vobject,
  python-xapian,
- python-yaml,
  python3-all,
  python3-aeidon,
  python3-bs4,
  python3-chardet,
+ python3-cheroot,
  python3-diff-match-patch,
  python3-enchant,
  python3-iniparse,
@@ -42,19 +42,19 @@
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
  python3-pytest,
+ python3-ruamel.yaml,
  python3-setuptools,
  python3-simplejson,
  python3-six (>> 1.9.0),
  python3-sphinx (>= 1.0.7+dfsg),
  python3-vobject,
  python3-xapian,
- python3-yaml,
  rename,
  subversion,
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: http://toolkit.translatehouse.org/
@@ -108,15 +108,16 @@
  python-l20n,
  python-pycountry (>> 17.5.14),
  python-phply (>> 1.2.4),
+ python-ruamel.yaml,
  python-simplejson,
  python-vobject,
  python-xapian,
- python-yaml
 Suggests:
  python-subversion,
  translate-toolkit-doc
 Breaks:
- translate-toolkit (<< 2.0.0~)
+ translate-toolkit (<< 2.0.0~),
+ virtaal (<< 0.7.1-7),
 Replaces:
  translate-toolkit (<< 2.0.0~)
 Description: Toolkit assisting in the localization of software (Python 2)
@@ -155,11 +156,12 @@
  python3-l20n,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
+ python3-ruamel.yaml,
  python3-simplejson,
  python3-vobject,
  python3-xapian,
- python3-yaml
 Suggests:
+ python3-cheroot,
  python3-subversion,
  translate-toolkit-doc
 Description: Toolkit assisting in the localization of software (Python 3)

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
   python3-aeidon,
   python3-bs4,
   python3-chardet,
+  python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
@@ -14,10 +15,10 @@
   python3-l20n,
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
+  python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,
   python3-xapian,
-  python3-yaml,
 
 Tests: python-translate
 Restrictions: allow-stderr
@@ -37,10 +38,10 @@
   python-l20n,
   python-pycountry (>> 17.5.14),
   python-phply (>> 1.2.4),
+  python-ruamel.yaml,
   python-simplejson,
   python-vobject,
   python-xapian,
-  python-yaml,
 
 Tests: python3-translate
 Restrictions: allow-stderr
@@ -52,6 +53,7 @@
   python3-aeidon,
   python3-bs4,
   python3-chardet,
+  python3-cheroot,
   python3-diff-match-patch,
   python3-enchant,
   python3-iniparse,
@@ -60,7 +62,7 @@
   python3-l20n,
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
+  python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,
   python3-xapian,
-  python3-yaml,

## translate-toolkit 2.5.0

=== Makefile ===
DOCS_DIR = docs

.PHONY: all build docs requirements help sort-imports

all: help

build: docs
	python setup.py sdist --formats=gztar

docs:
	# Make sure that the submodule with docs theme is pulled and up-to-date.
	git submodule update --init
	# The following creates the HTML docs.
	# NOTE: cd and make must be in the same line.
	cd ${DOCS_DIR}; make SPHINXOPTS="-T -W -q" html ${TAIL}

docs-review: docs
	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

sort-imports:
	isort -rc .

help:
	@echo "Help"
	@echo "----"
	@echo
	@echo "  build - create sdist with required prep"
	@echo "  docs - build Sphinx docs"
	@echo "  docs-review - launch webbrowser to review docs"
	@echo "  requirements - (re)generate pinned and minimum requirements"
	@echo "  sort-imports - sort Python imports"
	@echo "  test - run unit test suite"
	@echo "  test-functional - run the functional test suite"

# Perform forced build using -W for the (.PHONY) requirements target
requirements:
	$(MAKE) -W $(REQFILE) requirements/min-versions.txt requirements.txt

REQS=.reqs
REQFILE=requirements/recommended.txt

requirements.txt: $(REQFILE)
	@set -e;							\
	 case `pip --version` in					\
	   "pip 0"*|"pip 1.[012]"*)					\
	     virtualenv --no-site-packages --clear $(REQS);		\
	     source $(REQS)/bin/activate;				\
	     echo starting clean install of requirements from PyPI;	\
	     pip install --use-mirrors -r $(REQFILE);			\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     pip freeze | grep -v '^wsgiref==' | sort > $@ ;;		\
	   *)								\
	     : only pip 1.3.1+ processes --download recursively;	\
	     rm -rf $(REQS); mkdir $(REQS);				\
	     echo starting download of requirements from PyPI;		\
	     pip install --download $(REQS) -r $(REQFILE);		\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     (cd $(REQS) && ls *.tar* |					\
	      sed -e 's/-\([0-9]\)/==\1/' -e 's/\.tar.*$$//') > $@;	\
	 esac; 

requirements/min-versions.txt: requirements/*.txt
	@if grep -q '>[0-9]' $^; then				\
	   echo "Use '>=' not '>' for requirements"; exit 1;	\
	 fi
	@echo "creating $@"
	@echo "# Automatically generated: DO NOT EDIT" > $@
	@echo "# Regenerate using 'make requirements'" >> $@
	@echo "# ====================================" >> $@
	@echo "# Minimum Requirements" >> $@
	@echo "# ====================================" >> $@
	@echo "#" >> $@
	@echo "# These are the minimum versions of dependencies that the developers" >> $@
	@echo "# claim will work." >> $@
	@echo "#" >> $@
	@echo "# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" >> $@
	@echo "#" >> $@
	@echo >> $@
	@cat $^ | sed -n '/=/{s/>=/==/;s/,<.*//;s/,!=.*//;p;};/^[-#]/d;/^$$/d;/=/d;p;' >> $@

test:
	@py.test --boxed -r EfsxX

test-functional:
	@tests/cli/run_tests.sh

=== debian/changelog ===
translate-toolkit (2.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Stuart Prescott ]
  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 22 Jan 2020 00:09:17 +1100

translate-toolkit (2.4.0-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938718).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Update to debhelper-compat 12.
  * Update autopkgtest temporary directory.

 -- Stuart Prescott <stuart@debian.org>  Sat, 02 Nov 2019 16:39:56 +1100

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,6 @@
 Build-Depends-Indep:
  libexttextcat-data,
  libgettextpo0,
- python (>= 2.6.6-3~),
- python-backports.csv,
- python-bs4,
- python-chardet,
- python-diff-match-patch,
- python-enchant,
- python-iniparse,
- python-levenshtein,
- python-lxml,
- python-l20n,
- python-phply (>> 1.2.4),
- python-pycountry (>> 17.5.14),
- python-pytest,
- python-ruamel.yaml,
- python-setuptools,
- python-simplejson,
- python-six (>> 1.9.0),
- python-sphinx (>= 1.0.7+dfsg),
- python-subversion,
- python-vobject,
- python-xapian,
  python3-all,
  python3-aeidon,
  python3-bs4,
@@ -52,12 +31,12 @@
  rename,
  subversion,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
-Homepage: http://toolkit.translatehouse.org/
+Homepage: https://toolkit.translatehouse.org/
 Rules-Requires-Root: no
 
 Package: translate-toolkit
@@ -69,7 +48,7 @@
  python3-six,
  python3-translate,
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Recommends:
  translate-toolkit-doc
 Description: Toolkit assisting in the localization of software
@@ -86,54 +65,6 @@
  OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
  .
  This package includes documentation for the command line utilities.
-
-Package: python-translate
-Architecture: all
-Depends:
- gettext,
- libexttextcat-data,
- python,
- python-six,
- ${misc:Depends},
- ${python:Depends}
-Recommends:
- python-backports.csv,
- python-bs4,
- python-chardet,
- python-diff-match-patch,
- python-enchant,
- python-iniparse,
- python-levenshtein,
- python-lxml,
- python-l20n,
- python-pycountry (>> 17.5.14),
- python-phply (>> 1.2.4),
- python-ruamel.yaml,
- python-simplejson,
- python-vobject,
- python-xapian,
-Suggests:
- python-subversion,
- translate-toolkit-doc
-Breaks:
- translate-toolkit (<< 2.0.0~),
- virtaal (<< 0.7.1-7),
-Replaces:
- translate-toolkit (<< 2.0.0~)
-Description: Toolkit assisting in the localization of software (Python 2)
- The Translate Toolkit is a Python library and a set of software designed
- to help make the lives of localizers both more productive and less
- frustrating.
- .
- The software includes programs to convert localization formats to the
- common PO format and programs to check and manage PO files and
- utilities to create word counts, merge translations and perform
- various checks on PO files.
- .
- Supported localization storage formats are: DTD, properties,
- OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
- .
- This package includes the Translate Toolkit modules for Python 2.
 
 Package: python3-translate
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,12 @@
 
 p	= translate-toolkit
 d	= $(CURDIR)/debian/$(p)
-d2	= $(CURDIR)/debian/python-translate
 d3	= $(CURDIR)/debian/python3-translate
 
 export PYTHONNOUSERSITE=false
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 man:
 	mkdir -p man
@@ -64,7 +63,7 @@
 	# translate-toolkit package.
 	mkdir -p $(d)/usr/bin
 	mv $(d3)/usr/bin/* $(d)/usr/bin/
-	rm -rf $(d2)/usr/bin $(d3)/usr/bin
+	rm -rf $(d3)/usr/bin
 
 	# clean up left over pyc files
 	find debian -type f -name '*.pyc' -delete

=== debian/tests/control ===
--- 
+++ 
@@ -19,29 +19,6 @@
   python3-simplejson,
   python3-vobject,
   python3-xapian,
-
-Tests: python-translate
-Restrictions: allow-stderr
-Depends:
-  python-translate,
-  python-pytest,
-  python-all,
-  subversion,
-  python-backports.csv,
-  python-bs4,
-  python-chardet,
-  python-diff-match-patch,
-  python-enchant,
-  python-iniparse,
-  python-levenshtein,
-  python-lxml,
-  python-l20n,
-  python-pycountry (>> 17.5.14),
-  python-phply (>> 1.2.4),
-  python-ruamel.yaml,
-  python-simplejson,
-  python-vobject,
-  python-xapian,
 
 Tests: python3-translate
 Restrictions: allow-stderr

## translate-toolkit 2.5.1

=== debian/changelog ===
translate-toolkit (2.5.1-1) unstable; urgency=medium

  * New upstream release.
    - prop2po rewritten and no longer generates SyntaxWarning (Closes: #949641).

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Jun 2020 21:34:38 +1000

translate-toolkit (2.5.0-2) unstable; urgency=medium

  * Only test with py3versions -s.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 01:51:12 +1100

## translate-toolkit 3.0.0

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	$(MAKE) -W $(REQFILE) requirements/min-versions.txt requirements.txt
 
 REQS=.reqs
-REQFILE=requirements/recommended.txt
+REQFILE=requirements/optional.txt
 
 requirements.txt: $(REQFILE)
 	@set -e;							\

=== debian/changelog ===
translate-toolkit (3.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Stuart Prescott ]
  * New upstream release.
    - drop l20n dependencies as format no longer supported
    - drop six dependencies as no longer needed
    - drop tests_cheroot_missing.patch as not needed with Python 3
    - refresh patches
  * Move to debhelper-compat 13.
    - use execute_after_* features to simplify rules
    - use PYBUILD_* variables to simplify testing now that Python 2 is gone

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Aug 2020 17:14:55 +1000

=== debian/control ===
--- 
+++ 
@@ -17,23 +17,22 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
- python3-l20n,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
+ python3-pyparsing,
  python3-pytest,
  python3-ruamel.yaml,
  python3-setuptools,
  python3-simplejson,
- python3-six (>> 1.9.0),
  python3-sphinx (>= 1.0.7+dfsg),
  python3-vobject,
  python3-xapian,
  rename,
  subversion,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/
@@ -45,7 +44,6 @@
 Depends:
  python3,
  python3-pkg-resources,
- python3-six,
  python3-translate,
  ${misc:Depends},
  ${python3:Depends}
@@ -72,7 +70,6 @@
  gettext,
  libexttextcat-data,
  python3,
- python3-six,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
@@ -84,9 +81,9 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
- python3-l20n,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
+ python3-pyparsing,
  python3-ruamel.yaml,
  python3-simplejson,
  python3-vobject,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=translate

p	= translate-toolkit
d	= $(CURDIR)/debian/$(p)
d3	= $(CURDIR)/debian/python3-translate

export PYTHONNOUSERSITE=false

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

execute_after_dh_clean:
	rm -rf man docs/_build run-tests .cache
	make -C docs clean

execute_after_dh_auto_build:
	+$(MAKE) -C docs html

execute_after_dh_auto_install:
	# delete unwanted cruft from /usr/lib
	for i in COPYING README.rst docs; do \
	  rm -rfv debian/*/usr/lib/python*/*-packages/translate/$$i \
	      debian/*/usr/lib/pyshared/translate/$$i; \
	done

	# provide a link to the langmodels shipped in libexttextcat-data
	for i in debian/*/usr/lib/python*/*-packages/translate/; do \
	  rm -rfv $$i/share/langmodels; \
	  ln -s /usr/share/libexttextcat $$i/share/langmodels; \
	done

	prename 's/\.sh$$//' debian/*/usr/bin/build_firefox.sh
	prename 's/\.py$$//' debian/*/usr/bin/*.py

	# move the command line tools to the translate-toolkit package
	mkdir -p $(d)/usr/bin
	mv $(d3)/usr/bin/* $(d)/usr/bin/
	rm -rf $(d3)/usr/bin

	mkdir -p man
	for script in $(d)/usr/bin/*; do \
	  case $$(basename $$script) in \
	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|pydiff|tmserver) \
	    ;; \
	  *) \
	    LC_ALL=C PYTHONPATH=. $$script --manpage \
	      > man/$$(basename $$script).1 \
	      || rm -f man/$(basename $$script).1; \
	    ;; \
	  esac; \
	done

execute_after_dh_install:
	# The entry_points are created now, so run the test suite
	PYBUILD_BEFORE_TEST="cp -a translate/convert/test.* {build_dir}/translate/convert/" \
	  PYBUILD_TEST_ARGS="." \
	  PATH=$(d)/usr/bin:$$PATH \
	  dh_auto_test --buildsystem=pybuild

	# clean up left over pyc files
	find debian -type f -name '*.pyc' -delete

override_dh_auto_test:
	# Tests must be run after install so that the entry_points scripts
	# have been created; override this and run tests as part of the install
	# step instead.

## translate-toolkit 3.1.1

=== debian/changelog ===
translate-toolkit (3.1.1-1) unstable; urgency=medium

  * New upstream release.
    - drop patches no longer needed.

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Sep 2020 18:54:29 +1000

## translate-toolkit 3.2.0

=== debian/changelog ===
translate-toolkit (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 08 Nov 2020 14:24:57 +1100

## translate-toolkit 3.3.0

=== debian/changelog ===
translate-toolkit (3.3.0-1) unstable; urgency=medium

  * New upstream release.
   - refresh patches
  * Update Standards-Version to 4.5.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Jan 2021 15:48:02 +1100

## translate-toolkit 3.3.2

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	@cat $^ | sed -n '/=/{s/>=/==/;s/,<.*//;s/,!=.*//;p;};/^[-#]/d;/^$$/d;/=/d;p;' >> $@
 
 test:
-	@py.test --boxed -r EfsxX
+	@py.test --cov=. -r EfsxX -W error::DeprecationWarning
 
 test-functional:
 	@tests/cli/run_tests.sh

=== debian/changelog ===
translate-toolkit (3.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 06 Feb 2021 18:43:00 +1100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	mkdir -p man
 	for script in $(d)/usr/bin/*; do \
 	  case $$(basename $$script) in \
-	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|pydiff|tmserver) \
+	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|mozfunny2prop|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|prop2mozfunny|pydiff|tmserver) \
 	    ;; \
 	  *) \
 	    LC_ALL=C PYTHONPATH=. $$script --manpage \

=== debian/tests/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
   python3-iniparse,
   python3-levenshtein,
   python3-lxml,
-  python3-l20n,
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
+  python3-pyparsing,
   python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,
@@ -36,9 +36,9 @@
   python3-iniparse,
   python3-levenshtein,
   python3-lxml,
-  python3-l20n,
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
+  python3-pyparsing,
   python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_.+-]?((RC|rc|pre|dev|b|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/translate-toolkit-$1\.tar\.gz/" \
  https://github.com/translate/translate/tags .*/v?(\d\S*)\.tar\.gz

## translate-toolkit 3.3.6

=== debian/changelog ===
translate-toolkit (3.3.6-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 16:54:34 +1000

## translate-toolkit 3.4.1

=== debian/changelog ===
translate-toolkit (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes required).
  * Include tight version requirement between translate-toolkit and
    python3-translate (Closes: #991225).
  * Add patch to stub-out use of unpackaged "fluent.syntax" module
    in test suite.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 15:56:46 +1100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/
@@ -44,7 +44,7 @@
 Depends:
  python3,
  python3-pkg-resources,
- python3-translate,
+ python3-translate (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends}
 Recommends:

## translate-toolkit 3.6.0

=== debian/changelog ===
translate-toolkit (3.6.0-2) unstable; urgency=medium

  * Add versioned dependency on pyparsing for autopkgtests.

 -- Stuart Prescott <stuart@debian.org>  Tue, 08 Mar 2022 23:58:39 +1100

translate-toolkit (3.6.0-1) unstable; urgency=medium

  * New upstream release.
    - includes compatibility with pyparsing 3 (Closes: #1005471)

 -- Stuart Prescott <stuart@debian.org>  Tue, 08 Mar 2022 00:31:02 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
 Build-Depends-Indep:
  libexttextcat-data,
- libgettextpo0,
  python3-all,
  python3-aeidon,
  python3-bs4,
@@ -19,7 +18,7 @@
  python3-lxml,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
- python3-pyparsing,
+ python3-pyparsing (>> 3),
  python3-pytest,
  python3-ruamel.yaml,
  python3-setuptools,
@@ -83,7 +82,7 @@
  python3-lxml,
  python3-phply (>> 1.2.4),
  python3-pycountry (>> 17.5.14),
- python3-pyparsing,
+ python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-simplejson,
  python3-vobject,

=== debian/tests/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   python3-lxml,
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
-  python3-pyparsing,
+  python3-pyparsing (>> 3),
   python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,
@@ -38,7 +38,7 @@
   python3-lxml,
   python3-phply (>> 1.2.4),
   python3-pycountry (>> 17.5.14),
-  python3-pyparsing,
+  python3-pyparsing (>> 3),
   python3-ruamel.yaml,
   python3-simplejson,
   python3-vobject,

## translate-toolkit 3.6.1

=== debian/changelog ===
translate-toolkit (3.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Apr 2022 17:23:29 +1000

## translate-toolkit 3.6.2

=== debian/changelog ===
translate-toolkit (3.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 14 May 2022 13:51:47 +1000

## translate-toolkit 3.7.0

=== debian/changelog ===
translate-toolkit (3.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 18 Jun 2022 17:55:54 +1000

## translate-toolkit 3.7.2

=== debian/changelog ===
translate-toolkit (3.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 (no changes required).
  * Update lintian override format.

 -- Stuart Prescott <stuart@debian.org>  Wed, 20 Jul 2022 01:13:03 +1000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,10 @@
 
 	# provide a link to the langmodels shipped in libexttextcat-data
 	for i in debian/*/usr/lib/python*/*-packages/translate/; do \
-	  rm -rfv $$i/share/langmodels; \
+	  mkdir $$i/share; \
 	  ln -s /usr/share/libexttextcat $$i/share/langmodels; \
+	  cp translate/share/stoplist-en $$i/share/; \
+	  cp -a translate/convert/test.* $$i/convert/; \
 	done
 
 	prename 's/\.sh$$//' debian/*/usr/bin/build_firefox.sh

## translate-toolkit 3.7.3

=== debian/changelog ===
translate-toolkit (3.7.3-2) unstable; urgency=medium

  * Switch pybuild buildsystem to pyproject plugin.
    - require pybuild newer than 5.20220923 to test the entry points in the
      'test' step
    - drop old workaround to testing entry points after the install step
    - move python3-setuptools to B-D (from B-D-I)
  * Fiddle with lintian overrides. Again.

 -- Stuart Prescott <stuart@debian.org>  Sun, 25 Sep 2022 16:11:24 +1000

translate-toolkit (3.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Thu, 15 Sep 2022 23:46:10 +1000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-pyparsing (>> 3),
  python3-pytest,
  python3-ruamel.yaml,
- python3-setuptools,
  python3-simplejson,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-vobject,
@@ -30,7 +29,9 @@
  subversion,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-python (>> 5.20220923~),
+ pybuild-plugin-pyproject,
+ python3-setuptools,
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit

## translate-toolkit 3.7.4

=== debian/changelog ===
translate-toolkit (3.7.4-1) unstable; urgency=medium

  * New usptream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 09 Nov 2022 15:09:17 +1100

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
- python3-phply (>> 1.2.4),
- python3-pycountry (>> 17.5.14),
+ python3-phply,
+ python3-pycountry,
  python3-pyparsing (>> 3),
  python3-pytest,
  python3-ruamel.yaml,
  python3-simplejson,
- python3-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx,
  python3-vobject,
  python3-xapian,
  rename,
@@ -81,8 +81,8 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
- python3-phply (>> 1.2.4),
- python3-pycountry (>> 17.5.14),
+ python3-phply,
+ python3-pycountry,
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-simplejson,
@@ -113,10 +113,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
-Breaks:
- translate-toolkit (<< 2.0.0~)
-Replaces:
- translate-toolkit (<< 2.0.0~)
+Multi-Arch: foreign
 Description: Toolkit assisting in the localization of software (documentation)
  The Translate Toolkit is a Python library and a set of software designed
  to help make the lives of localizers both more productive and less

## translate-toolkit 3.8.0

=== debian/changelog ===
translate-toolkit (3.8.0-1) unstable; urgency=medium

  * New upstream version.
    - refresh patches
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Jan 2023 18:40:56 +1100

## translate-toolkit 3.8.2

=== debian/changelog ===
translate-toolkit (3.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 18 Jan 2023 17:13:11 +1100

## translate-toolkit 3.8.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: help
 
 build: docs
-	python setup.py sdist --formats=gztar
+	python -m build
 
 docs:
 	# Make sure that the submodule with docs theme is pulled and up-to-date.

=== debian/changelog ===
translate-toolkit (3.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Jan 2023 12:25:32 +1100

## translate-toolkit 3.8.4

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	      sed -e 's/-\([0-9]\)/==\1/' -e 's/\.tar.*$$//') > $@;	\
 	 esac; 
 
-requirements/min-versions.txt: requirements/*.txt
+requirements/min-versions.txt: requirements/optional.txt requirements/required.txt
 	@if grep -q '>[0-9]' $^; then				\
 	   echo "Use '>=' not '>' for requirements"; exit 1;	\
 	 fi

=== debian/changelog ===
translate-toolkit (3.8.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 12 Feb 2023 11:19:28 +1100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  dh-python (>> 5.20220923~),
  pybuild-plugin-pyproject,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/l10n-team/translate-toolkit.git
 Vcs-Browser: https://salsa.debian.org/l10n-team/translate-toolkit
 Homepage: https://toolkit.translatehouse.org/

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 d3	= $(CURDIR)/debian/python3-translate
 
 export PYTHONNOUSERSITE=false
+
+export PYBUILD_BEFORE_TEST = cp -a translate/convert/test.* {build_dir}/translate/convert/
+export PYBUILD_AFTER_TEST = rm -f {build_dir}/translate/convert/test.*
+export PYBUILD_TEST_ARGS = -rsx -v .
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
@@ -57,18 +61,3 @@
 	    ;; \
 	  esac; \
 	done
-
-execute_after_dh_install:
-	# The entry_points are created now, so run the test suite
-	PYBUILD_BEFORE_TEST="cp -a translate/convert/test.* {build_dir}/translate/convert/" \
-	  PYBUILD_TEST_ARGS="." \
-	  PATH=$(d)/usr/bin:$$PATH \
-	  dh_auto_test --buildsystem=pybuild
-
-	# clean up left over pyc files
-	find debian -type f -name '*.pyc' -delete
-
-override_dh_auto_test:
-	# Tests must be run after install so that the entry_points scripts
-	# have been created; override this and run tests as part of the install
-	# step instead.

## translate-toolkit 3.11.1

=== debian/changelog ===
translate-toolkit (3.11.1-1) unstable; urgency=medium

  * New upstream version.
    - Compatible with Python 3.12 (Closes: #1056535)
    - Refresh patches
    - Add new patch to test installed scripts
    - Remove old syrupy cache handling
    - Update autopkgtest tests for new test layout
    - Fix up paths in d/copyright
    - Drop code to move test data around in d/rules
    - Drop code to push (some) tests into .deb
    - Update lintian overrides

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Dec 2023 00:33:51 +1100

translate-toolkit (3.10.0-1) unstable; urgency=medium

  * New upstream release
    - refresh patches
    - drop obsolete dependencies on pycountry
    - add new dependencies on python3-mistletoe, python3-syrupy

 -- Stuart Prescott <stuart@debian.org>  Sun, 03 Sep 2023 11:54:49 +1000

## translate-toolkit 3.12.1

=== debian/changelog ===
translate-toolkit (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Dec 2023 10:42:03 +1100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,13 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
+ python3-mistletoe (>> 1.1.0~),
  python3-phply,
- python3-pycountry,
  python3-pyparsing (>> 3),
  python3-pytest,
  python3-ruamel.yaml,
  python3-simplejson,
+ python3-syrupy,
  python3-sphinx,
  python3-vobject,
  python3-xapian,
@@ -81,8 +82,8 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
+ python3-mistletoe (>> 1.1.0~),
  python3-phply,
- python3-pycountry,
  python3-pyparsing (>> 3),
  python3-ruamel.yaml,
  python3-simplejson,
